"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createAppStateTracker = void 0;
var _reactNative = require("react-native");
const createAppStateTracker = ({
  onAppForeground,
  onAppBackground
}) => {
  let appStateSubscription = null;
  const handleAppStateChange = nextAppState => {
    if (nextAppState === 'active') {
      onAppForeground === null || onAppForeground === void 0 || onAppForeground();
    } else if (nextAppState === 'background' || nextAppState === 'inactive') {
      onAppBackground === null || onAppBackground === void 0 || onAppBackground();
    }
  };

  // Start tracking immediately if app is active
  if (_reactNative.AppState.currentState === 'active') {
    onAppForeground === null || onAppForeground === void 0 || onAppForeground();
  }

  // Subscribe to app state changes
  appStateSubscription = _reactNative.AppState.addEventListener('change', handleAppStateChange);

  // Return cleanup function
  return () => {
    if (appStateSubscription) {
      appStateSubscription.remove();
    }
  };
};
exports.createAppStateTracker = createAppStateTracker;
//# sourceMappingURL=app-state-events.js.map