import { Component } from 'react';
import { ViewStyle, StyleProp } from 'react-native';
import { AVPlaybackStatus, Video } from 'expo-av';
import type { CloudinaryVideo } from '@cloudinary/url-gen';
interface AdvancedVideoProps {
    videoUrl?: string;
    cldVideo?: CloudinaryVideo;
    videoStyle?: StyleProp<ViewStyle>;
    enableAnalytics?: boolean;
    autoTrackAnalytics?: boolean;
    analyticsOptions?: {
        customData?: any;
        videoPlayerType?: string;
        videoPlayerVersion?: string;
    };
}
interface AdvancedVideoState {
    analyticsConnector: any;
    previousStatus?: AVPlaybackStatus;
    analyticsInitialized: boolean;
}
export interface AdvancedVideoRef extends Video {
    startAnalyticsTracking: (metadata?: any, options?: any) => void;
    stopAnalyticsTracking: () => void;
    startAutoAnalyticsTracking: (options?: any) => void;
    addCustomEvent: (eventName: string, eventDetails?: any) => void;
}
declare class AdvancedVideo extends Component<AdvancedVideoProps, AdvancedVideoState> {
    private videoRef;
    private processExpoAVStatus;
    constructor(props: AdvancedVideoProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: AdvancedVideoProps): void;
    componentWillUnmount(): void;
    private getVideoUri;
    private initializeAnalytics;
    private onPlaybackStatusUpdate;
    startAnalyticsTracking: (metadata?: any, options?: any) => void;
    stopAnalyticsTracking: () => void;
    startAutoAnalyticsTracking: (options?: any) => void;
    addCustomEvent: (eventName: string, eventDetails?: any) => void;
    render(): JSX.Element;
}
export default AdvancedVideo;
//# sourceMappingURL=AdvancedVideo.d.ts.map